/* Diese Rexx Skript erzeugt Desktop Icons fr Turbo Copy */
/* (c) 2001 Andreas Schsser */

Call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
Call SysLoadFuncs

say ""
say "Willkommen bei der Installation von Turbo Copy!"
say "==============================================="
say ""
say "Diese Installationsroutine erzeugt Icons fr"
say "Turbo Copy! auf Ihrer Arbeitsoberflche."
say "Dazu mssen sich alle Dateien des Turbo Copy"
say "Pakets im aktuellen Verzeichnis befinden."
say ""
say "Sollen nun Icons fr Turbo Copy erstellt werden? (j / n)"
key = SysGetKey('NOECHO')
parse upper var key key
if key == 'N' then do
  say "Installation abgebrochen."
  call end
end

say ""
say "Erstelle Icons..."

curDir = directory()
progName = "\tcopy.exe"
pfad = insert(curDir, progName)

PRGOPTION="EXENAME="||pfad
VOPTION="PROGTYPE=PM;EXENAME=VIEW.EXE;PARAMETERS=" || curDir || "\README.INF;"
LOPTION="PROGTYPE=PM;EXENAME=E.EXE;PARAMETERS=" || curDir || "\README.TXT;"

erg = SysCreateObject("WPFolder", "Turbo Copy!", "<WP_DESKTOP>", "OBJECTID=<TCFOLDER>", "REPLACE")
erg = SysCreateObject("WPProgram", "Turbo Copy!", "<TCFOLDER>", PRGOPTION, "REPLACE")
erg = SysCreateObject("WPProgram", "Readme", "<TCFOLDER>", VOPTION, "REPLACE")
erg = SysCreateObject("WPProgram", "Latest News", "<TCFOLDER>", LOPTION, "REPLACE")

say "Icons erstellt."
say "Installation abgeschlossen."

end:
Exit 0

